import { TEMPLATE_DESCRIPTION, TEMPLATE_INVENTAIRE } from "../../common/_module.mjs";
import { ITEM_TYPES } from "../../constants.js";
import RdDItemBaseSheet from "./common-item-sheet.mjs";

export default class RdDMonnaieSheet extends RdDItemBaseSheet {

  /** @override */
  static get ITEM_TYPE() { return ITEM_TYPES.monnaie }
  static get TEMPLATES() { return [TEMPLATE_DESCRIPTION, TEMPLATE_INVENTAIRE] }

  /** @override */
  static DEFAULT_OPTIONS = Object.assign({},
    RdDItemBaseSheet.DEFAULT_OPTIONS,
    {
      classes: ["fvtt-rdd", "item", "monnaie"],
      position: { width: 448 },
      window: { contentClasses: ["monnaie-content"] }
    })

  /** @override */
  static PARTS = {
    main: {
      template: "systems/foundryvtt-reve-de-dragon/templates/sheets/item/monnaie.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    return Object.assign(
      await super._prepareContext(),
      await TEMPLATE_DESCRIPTION.prepareContext(this.document),
      await TEMPLATE_INVENTAIRE.prepareContext(this.document)
    )
  }
}